cURL
curl --request GET \ --url https://api.ttapi.io/midjourney/v1/fetch \ --header 'TT-API-KEY: <api-key>'
{ "status": "SUCCESS", "message": "", "jobId": "c679a92e-dae0-462d-b70f-dcfeaf2189fa", "data": { "action": "imagine", "jobId": "c679a92e-dae0-462d-b70f-dcfeaf2189fa", "progress": "100", "prompt": "a cat", "quota": "2", "discordImage": "https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png", "cdnImage": "https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png", "width": 1024, "height": 1024, "hookUrl": null, "components": [ "upsample1", "upsample2", "upsample3", "upsample4", "reroll", "variation1", "variation2", "variation3", "variation4" ], "seed": null, "images": [ "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tl.png", "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tr.png", "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443bl.png", "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443br.png" ] } }
使用 Midjourney 任务结果查询接口获取图像生成任务状态、结果地址和返回数据,适合异步轮询和任务管理。
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
上一步请求返回的jobId
请求成功
PENDING_QUEUE
ON_QUEUE
SUCCESS
FAILED
响应信息
任务id
任务结果
Show child attributes